Subject: Re: bug#65720: [PATCH] git: Shell out to ‘git gc’ when necessary.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Mon, 23 Oct 2023 22:27:39 +0000

>Why not trigger it by “guix gc”?

Unless there's a new option I missed, guix gc doesn't handle this.

>Well, I expect “guix gc” to take some time and I choose when.  However,
>I want “guix pull” or “guix time-machine” to be as fast as possible

I don't think that things should be pushed into guix gc merely because they are slow.

This is not a great post (I'd look at the git code if I were at a computer) but I remember git printing something like 'optimising repository in the background'.  Maybe something similar would be appropriate here, to better hide such housekeeping from the user.

Kind regards,

T G-R

Sent on the go.  Excuse or enjoy my brevity.